## EntangleControlText

EntangleControlText — a device control representing free format text

## Functions

EntangleControlText * | entangle_control_text_new ()

## Properties

char * | value | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_CONTROL_TEXT
| EntangleControlText

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ╰── EntangleControlText

## Description

The EntangleControlText object provides a device control allowing the entry of free format text

## Functions

### entangle_control_text_new ()

    EntangleControlText *
    entangle_control_text_new (const char *path,
                               int id,
                               const char *label,
                               const char *info,
                               gboolean readonly);

## Types and Values

### ENTANGLE_TYPE_CONTROL_TEXT

    #define ENTANGLE_TYPE_CONTROL_TEXT (entangle_control_text_get_type())

### EntangleControlText

    typedef struct _EntangleControlText EntangleControlText;

## Property Details

### The `“value”` property

      “value”                    char *

Current value of the control.

Owner: EntangleControlText

Flags: Read / Write

Default value: NULL